Package gui.widget

# Class SudokuSelector

java.lang.Object
gui.widget.SudokuSelector

public class SudokuSelector extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final ConsumerSignal<MultiDoku>`
  `onSelect`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SudokuSelector(boolean canGenEmptyGrid, String confirmMessage)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clean()`
  `void`
  `render()`
  `void`
  `renderFileDialog()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### onSelect

    public final ConsumerSignal<MultiDoku> onSelect

- ## Constructor Details

  - ### SudokuSelector

    public SudokuSelector(boolean canGenEmptyGrid, String confirmMessage)

- ## Method Details

  - ### renderFileDialog

    public void renderFileDialog()

  - ### render

    public void render()

  - ### clean

    public void clean()